27

cat /etc/apt/sources.list

deb http://deb.debian.org/debian jessie main
deb http://deb.debian.org/debian jessie-updates main
deb http://security.debian.org jessie/updates main

then apt-get update is failing.

If i remove the second line then above command is working fine.

I checked in the repositories. there is no folder with name jessie-updates.

We have many docker builds which requires apt-get update.

I can't update all the docker files to remove that second line.

What is best approach to go ahead and also if they are removed permanently or a temporary glitch

  • 3
    What do you mean it's failing? What do you actually see if it does? Why would you not be able to do this for your docker builds? Especially for those it should be easy. Change your base layer and just rebuild the images. – Seth Mar 26 at 8:12
  • Try with https. Maybe one of the mirrors is down (it happens). Change url to force to your machine to get (probably) a new mirror. – Giacomo Catenazzi Mar 26 at 13:21
  • 1
    This is essentially the same question as Failed to fetch jessie backports repository on Unix & Linux. – a CVn Mar 27 at 10:10
30

According to the IRC channel for Debian, jessie-updates is now not supported:

Oldstable: Debian Jessie, jessie-updates and jessie-backports REMOVED 2019-03-24

Your solution is either to upgrade to Stretch, or update your /etc/apt/sources.list to the following:

deb http://archive.debian.org/debian/ jessie main
deb-src http://archive.debian.org/debian/ jessie main

deb http://security.debian.org jessie/updates main
deb-src http://security.debian.org jessie/updates main

jessie-updates has been removed and jessie-backports has been archived

Thanks to comments from Stephen Kitt & Daniel below.

  • 8
    Thank you. Do you know why the official wiki says the official end of support is on the 30th of june 2020, in more than one year, then ? That's crazy we couldn't see a mention of jessie going down anywhere before that ! wiki.debian.org/LTS – Ten Mar 26 at 11:01
  • 4
    This is all I could find about what they changed: lists.debian.org/debian-devel-announce/2019/03/msg00006.html so LTS is still supported, but -updates has moved to archive. – Dan Clarke Mar 26 at 11:47
  • 1
    Only the first two lines work, the updates are not in the archive! – Daniel Mar 27 at 9:27
  • 1
    This is incorrect, at least for architectures which are still supported in Jessie LTS. Those are still served by the main archive, except jessie-updates which has been removed and jessie-backports which has been archived. – Stephen Kitt Mar 27 at 18:27
  • 1
    @DanClarke I think you didn't fully edit in Stephen Kitt's suggestion. Please keep deb http://security.debian.org jessie/updates main — that is where Jessie LTS updates come from. – derobert Mar 27 at 21:59
3

The debian Team did not move jessie-updates to the archive repository (yet). But they already removed it from the regular repositories. So you currently have no access to jessie-updates. Therefore you need to remove it from the sources.list.

My currently working sources.list:

deb http://deb.debian.org/debian jessie main
deb http://security.debian.org/debian-security jessie/updates main
  • Why would they do that :O – Lightness Races in Orbit Mar 27 at 11:34
  • 1
    @Lightness because all the updates have been merged into the main archive, and there will be no further updates so the updates repository is no longer necessary. – Stephen Kitt Mar 27 at 18:19
  • @StephenKitt This answer says they have not been moved to the archive yet – Lightness Races in Orbit Mar 27 at 18:59
  • @Lightness oh, you were implying that they shouldn’t move the repository, and that deleting it was fine? Sorry, I misunderstood. – Stephen Kitt Mar 27 at 19:07
  • I have no problem with it being moved, but this answer suggests that they deleted the original before they brought the archived version online, leaving the contents completely inaccessible for this particular version of this particular distribution. If that's true, that's terrible and short-sighted. If it's not, we can edit the answer. – Lightness Races in Orbit Mar 28 at 0:36
-5

Jessie is no longer supported. They have taken it off the automatic updates for security reasons.

You need to do a full reinstall of bionic beaver.

At least that’s what I did.

  • 2
    Bionic Beaver is Ubuntu, whereas the question is related to Debian, whilst Ubuntu does use the Debian architecture, installing cross OSs can get complicated. If you need to update within Debian, Stretch (9.x) is the best route to go. – Dan Clarke Mar 27 at 8:48

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.